Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTransformPolyDataFilter Class Reference

`#include <vtkTransformPolyDataFilter.h>`

Inheritance diagram for vtkTransformPolyDataFilter:

[legend]
Collaboration diagram for vtkTransformPolyDataFilter:

[legend]
List of all members.

## Detailed Description

transform points and associated normals and vectors for polygonal dataset

Date:
  2002/11/03 22:51:56

Revision:
  1.25

vtkTransformPolyDataFilter is a filter to transform point coordinates and associated point and cell normals and vectors. Other point and cell data is passed through the filter unchanged. This filter is specialized for polygonal data. See vtkTransformFilter for more general data.

An alternative method of transformation is to use vtkActor's methods to scale, rotate, and translate objects. The difference between the two methods is that vtkActor's transformation simply effects where objects are rendered (via the graphics pipeline), whereas vtkTransformPolyDataFilter actually modifies point coordinates in the visualization pipeline. This is necessary for some objects (e.g., vtkProbeFilter) that require point coordinates as input.

See also:
  vtkTransform vtkTransformFilter vtkActor

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (50%)
  - Gobbi, David (21%)
  - Geveci, Berk (10%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkTransformPolyDataFilter.cxx)`
  - .`h` (`/Graphics/vtkTransformPolyDataFilter.h)`

Examples:
  vtkTransformPolyDataFilter (Examples)

Tests:
  vtkTransformPolyDataFilter (Tests)

Definition at line 66 of file vtkTransformPolyDataFilter.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
unsigned long | GetMTime ()
virtual void | SetTransform (vtkAbstractTransform *)
virtual vtkAbstractTransform * | GetTransform ()
## Static Public Methods
vtkTransformPolyDataFilter * | New ()
int | IsTypeOf (const char *type)
vtkTransformPolyDataFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkTransformPolyDataFilter ()
| ~vtkTransformPolyDataFilter ()
void | Execute ()
## Protected Attributes
vtkAbstractTransform * | Transform

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkTransformPolyDataFilter::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 70 of file vtkTransformPolyDataFilter.h.

## Constructor & Destructor Documentation

vtkTransformPolyDataFilter::vtkTransformPolyDataFilter | ( |  | ) | `[protected]`

vtkTransformPolyDataFilter::~vtkTransformPolyDataFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkTransformPolyDataFilter* vtkTransformPolyDataFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkTransformPolyDataFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkTransformPolyDataFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkTransformPolyDataFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkTransformPolyDataFilter* vtkTransformPolyDataFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkTransformPolyDataFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

unsigned long vtkTransformPolyDataFilter::GetMTime | ( |  | ) | `[virtual]`

| Return the MTime also considering the transform. Reimplemented from vtkObject.

virtual void vtkTransformPolyDataFilter::SetTransform | ( | vtkAbstractTransform * |  | ) | `[virtual]`

| Specify the transform object used to transform points.

virtual vtkAbstractTransform* vtkTransformPolyDataFilter::GetTransform | ( |  | ) | `[virtual]`

| Specify the transform object used to transform points.

void vtkTransformPolyDataFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

vtkAbstractTransform* vtkTransformPolyDataFilter::Transform`[protected]`

| Definition at line 87 of file vtkTransformPolyDataFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkTransformPolyDataFilter.h